# Common definitions
from enum import IntEnum

# Predefined class names
suspicious = 1
nonSuspicious = 0

# Predefined folder names
suspiciousSubfolder = 'Suspicious'
nonSuspiciousSubfolder = 'Non-suspicious'

posSubfolders = ['DCIS+', 'DCIS-', 'IDC', 'ILC']
negSubfolders = ['Interface', 'Cyst', 'BloodVessel', 'NormalDuct', 'Fibroadenoma', 'Fibrocystic_Change', 'Bag',
                 'Suture', 'Clip', 'Adipose', 'Fibrous', 'Skin']
randomSubfolder = 'Undefined'

groundTruthStrings = ['No_Selection', 'Negative', 'Positive_IDC', 'Positive_DCIS', 'Positive_IDC_DCIS', 'Close_DCIS', 'Close_IDC',
                        'Positive_ILC', 'Positive_IDC_DCIS_ILC', 'Positive_IDC_ILC', 'Positive_DCIS_ILC', 'Close_ILC']

# Scan ground truth
class GroundTruth(IntEnum):
    No_Selection = 0
    Negative = 1
    Positive_IDC = 2
    Positive_DCIS = 3
    Positive_IDC_DCIS = 4
    Close_DCIS = 5
    Close_IDC = 6
    Positive_ILC = 7
    Positive_IDC_DCIS_ILC = 8
    Positive_IDC_ILC = 9
    Positive_DCIS_ILC = 10
    Close_ILC = 11


# Label types
class LabelType(IntEnum):
    DCIS_Positive = 0
    DCIS_Negative = 1
    IDC = 2
    Interface = 3
    Cyst = 4
    BloodVessel = 5
    NormalDuct = 6
    Fibroadenoma = 7
    Fibrocystic_Change = 8
    Bag = 9
    Suture = 10
    Clip = 11
    Adipose = 12
    Fibrous = 13
    Skin = 14
    ILC = 15
    Exclude_Margin = 16
