# Standard packages
import sys
import os
import csv


# Local modules
from commonTools import utils, parse_csv
from patchGenerationTool import constants, patch_processor


# Print program usage
def usage(progname):
    print('ImgAssist Patch Generation Tool v. %s\n\nUsage: %s %s %s %s' % (constants.version, progname, '<CSV_Dataset.csv>','<MLS Input Directory>','< Patches Output Directory>'))


###
def main(argc, argv):
    # check input arguments
    global input_dir
    global save_dir
    global case_list

    if argc != 4:
        usage(os.path.basename(argv[0]))
        sys.exit(2)

    csv_filename = argv[1]
    input_dir = argv[2]
    save_dir = argv[3]

    if not os.path.exists(csv_filename):
        print('Error: input csv file or directory not found, exiting ...')
        sys.exit(0)

    if not os.path.exists(input_dir):
        print('Error: input MLS directory not found, exiting ...')
        sys.exit(0)

    if not os.path.exists(save_dir):
        print('Error: Output Patches directory not found, exiting ...')
        sys.exit(0)

        # parse input for list of cases and scans
    case_list = parse_csv.patch_generation(csv_filename)


    # read and unzip input cases
    utils.extract_data(input_dir, case_list["caseList"])

    # export patches from input cases
    patch_processor.export_patches(input_dir, save_dir, case_list["caseList"])

